Subject: Ticket Assigned - order number 6185410199
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 29 Nov 2022 16:57:34 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  order number 6185410199 I made this order on Industrial Jubail store but the website made it Abha
even though the store location link in the message I recieved from
Centrepoint was on Industrial Jubail.
Now I called the call center to change the store and he told me that he
can't, then I asked him to cancel it he said he can't, then what is the
purpose of customer support that I even can't cancel my order and I have to
wait 14 days till the order is returned automatically then more days till
you return the balance
This represents for me the worst experience of buy and collect.
You need to update your system, you should be able to contact your delivery
company

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5375950